define(["require","foundation/pushNotification/pushNotificationConstants","foundation/pushNotification/rules/accountBalanceRule","foundation/pushNotification/rules/accountTransactionRule","foundation/pushNotification/rules/stockMarketRule","foundation/pushNotification/rules/budgetRule","foundation/pushNotification/rules/notCategorizedTransactionRule","foundation/pushNotification/rules/debitRule","foundation/pushNotification/rules/availableAmountRule","foundation/pushNotification/rules/incomingPaymentRule","foundation/pushNotification/rules/paperlessInvoiceRule","foundation/pushNotification/rules/notExecutedPaymentRule","foundation/pushNotification/rules/ebillsRule","foundation/pushNotification/rules/paymentRequiringApprovalRule","foundation/pushNotification/rules/notExecutedDtaTransferRule","foundation/pushNotification/rules/portfolioQualityRule","foundation/pushNotification/rules/wmoInvestmentRecommendationRule","foundation/pushNotification/rules/dtaTransferRequiringApprovalRule","foundation/pushNotification/rules/advisorySummaryRule","foundation/pushNotification/rules/beneficiaryConfirmRule","foundation/pushNotification/rules/fxMarketOrderRule","foundation/pushNotification/rules/incomingMessageRule","foundation/pushNotification/rules/eDocumentMessageRule","foundation/pushNotification/rules/agreementMessageRule","foundation/pushNotification/rules/corporateActionEventMessageRule","foundation/pushNotification/rules/newAuctionRule","foundation/pushNotification/rules/auctionResultRule","foundation/pushNotification/rules/investmentProfileChangeRule","foundation/pushNotification/rules/individualWarningLineRule","foundation/pushNotification/rules/zeroLineRule","foundation/pushNotification/rules/individualCreditLimitRule","foundation/pushNotification/rules/tradingIdeasRule","foundation/pushNotification/rules/lombardLendingRule"],(function(i,o){var t=o.RuleTypes,n={};n[t.ACCOUNT_BALANCE]=i("foundation/pushNotification/rules/accountBalanceRule"),n[t.ACCOUNT_TRANSACTION]=i("foundation/pushNotification/rules/accountTransactionRule"),n[t.BUDGET_NOT_CATEGORIZED_TRANSACTIONS]=i("foundation/pushNotification/rules/notCategorizedTransactionRule"),n[t.BUDGET_LIMITS]=i("foundation/pushNotification/rules/budgetRule"),n[t.CARD_DEBIT]=i("foundation/pushNotification/rules/debitRule"),n[t.AVAILABLE_AMOUNT]=i("foundation/pushNotification/rules/availableAmountRule"),n[t.INC_PAYMENT_IN_FAVOUR_CARD]=i("foundation/pushNotification/rules/incomingPaymentRule"),n[t.CARD_PAPERLESS_INVOICE]=i("foundation/pushNotification/rules/paperlessInvoiceRule"),n[t.NON_EXC_PAYMENT]=i("foundation/pushNotification/rules/notExecutedPaymentRule"),n[t.EBILLS]=i("foundation/pushNotification/rules/ebillsRule"),n[t.PAYMENTS_REQ_APPRV]=i("foundation/pushNotification/rules/paymentRequiringApprovalRule"),n[t.STOCK_MARKET]=i("foundation/pushNotification/rules/stockMarketRule"),n[t.NOT_EXECUTED_DTA_TRANSFER]=i("foundation/pushNotification/rules/notExecutedDtaTransferRule"),n[t.PORTFOLIO_QUALITY]=i("foundation/pushNotification/rules/portfolioQualityRule"),n[t.WMO_INVESTMENT_RECOMMENDATIONS]=i("foundation/pushNotification/rules/wmoInvestmentRecommendationRule"),n[t.DTA_TRANSFER_REQ_APPRV]=i("foundation/pushNotification/rules/dtaTransferRequiringApprovalRule"),n[t.ADVISORY_SUMMARY]=i("foundation/pushNotification/rules/advisorySummaryRule"),n[t.BENEFICIARIES_TO_CONFIRM]=i("foundation/pushNotification/rules/beneficiaryConfirmRule"),n[t.FX_MARKET_ORDER]=i("foundation/pushNotification/rules/fxMarketOrderRule"),n[t.INCOMING_MESSAGES]=i("foundation/pushNotification/rules/incomingMessageRule"),n[t.E_DOCUMENTS]=i("foundation/pushNotification/rules/eDocumentMessageRule"),n[t.AGREEMENTS]=i("foundation/pushNotification/rules/agreementMessageRule"),n[t.CORPORATE_ACTIONS]=i("foundation/pushNotification/rules/corporateActionEventMessageRule"),n[t.NEW_AUCTION]=i("foundation/pushNotification/rules/newAuctionRule"),n[t.AUCTION_RESULTS]=i("foundation/pushNotification/rules/auctionResultRule"),n[t.INVESTMENT_PROFILE_CHANGE]=i("foundation/pushNotification/rules/investmentProfileChangeRule"),n[t.INDIVIDUAL_WARNING_LINE]=i("foundation/pushNotification/rules/individualWarningLineRule"),n[t.ZERO_LINE]=i("foundation/pushNotification/rules/zeroLineRule"),n[t.INDIVIDUAL_CREDIT_LIMITS]=i("foundation/pushNotification/rules/individualCreditLimitRule"),n[t.TRADING_IDEAS]=i("foundation/pushNotification/rules/tradingIdeasRule"),n[t.LOMBARD_LENDING]=i("foundation/pushNotification/rules/lombardLendingRule");var e={};function u(i){return n[i]}return e[t.ACCOUNT_BALANCE]="OVERVIEW_ASSET_ACCOUNT_BALANCE",e[t.ACCOUNT_TRANSACTION]="OVERVIEW_ASSET_ACCOUNT_TRANSACTION",e[t.BUDGET_NOT_CATEGORIZED_TRANSACTIONS]="OVERVIEW_BUDGET_NOT_CATEGORIZED_TRANSACTIONS",e[t.BUDGET_LIMITS]="OVERVIEW_BUDGET_RULE_LIMIT",e[t.CARD_DEBIT]="OVERVIEW_CARDS_CARD_DEBIT",e[t.AVAILABLE_AMOUNT]="OVERVIEW_CARDS_CARD_AMOUNT",e[t.INC_PAYMENT_IN_FAVOUR_CARD]="PUSH_NOTIFICATION_CARDS_INCOMING_PAYMENT",e[t.CARD_PAPERLESS_INVOICE]="OVERVIEW_CARDS_PAPERLESS_INVOICE",e[t.NON_EXC_PAYMENT]="OVERVIEW_PAYMENTS_NON_EXECUTED_PAYMENTS",e[t.PAYMENTS_REQ_APPRV]="PUSH_NOTIFICATION_PAYMENTS_REQUIRE_APPROVAL",e[t.STOCK_MARKET]="OVERVIEW_TRADING_STOCK_MARKET_ORDER",e[t.NOT_EXECUTED_DTA_TRANSFER]="OVERVIEW_PAYMENTS_NOT_EXECUTED_DTA_TRANSFER",e[t.PORTFOLIO_QUALITY]="PORTFOLIO_QUALITY",e[t.WMO_INVESTMENT_RECOMMENDATIONS]="WMO_INVESTMENT_RECOMMENDATIONS",e[t.DTA_TRANSFER_REQ_APPRV]="PUSH_NOTIFICATION_PAYMENTS_REQUIRE_APPROVAL_DTA_TRANSFER",e[t.ADVISORY_SUMMARY]="ADVISORY_SUMMARY",e[t.BENEFICIARIES_TO_CONFIRM]="PUSH_NOTIFICATION_BENEFICIARIES_TO_BE_CONFIRMED",e[t.FX_MARKET_ORDER]="FX_MARKET_ORDERS",e[t.INCOMING_MESSAGES]="OVERVIEW_SECTION_MAILBOX",e[t.E_DOCUMENTS]="OVERVIEW_SECTION_MAILBOX",e[t.AGREEMENTS]="OVERVIEW_SECTION_MAILBOX",e[t.CORPORATE_ACTIONS]="OVERVIEW_SECTION_MAILBOX",e[t.NEW_AUCTION]="OVERVIEW_SECTION_ATRIUM",e[t.AUCTION_RESULTS]="OVERVIEW_SECTION_ATRIUM",e[t.INVESTMENT_PROFILE_CHANGE]="OVERVIEW_SECTION_ATRIUM",e[t.INDIVIDUAL_WARNING_LINE]="OVERVIEW_SECTION_LIQUIDITY",e[t.ZERO_LINE]="OVERVIEW_SECTION_LIQUIDITY",e[t.INDIVIDUAL_CREDIT_LIMITS]="OVERVIEW_SECTION_LIQUIDITY",{extractNotificationRule:function(i,o){return u(i).extractNotificationRule(o)},getEditTitleKey:function(i){return u(i.ruleCode).getEditTitleKey()},getEditPageItems:function(i,o){return u(i.ruleCode).getEditPageItems(i,o)},activateEditPageItems:function(i,o,t,n){return u(o.ruleCode).activateEditPageItems(i,o,t,n)},saveInputFields:function(i,o){return u(i.ruleCode).saveInputFields(i,o)},getContextTitleForDeleteEdit:function(i){return e[i]},constructPrefilledNotificationRule:function(i,o){return u(i.ruleCode).constructPrefilledNotificationRule(i,o)},extendDeleteRuleParams:function(i,o){return u(i.ruleCode).extendDeleteRuleParams(i,o)},getDisplayPageItem:function(i,o){return u(i.ruleCode).getDisplayPageItem(i,o)},equals:function(i,o,t){return u(i.ruleCode).equals(i,o,t)},validate:function(i,o){return u(o.ruleCode).validate(i,o)}}}));